Decide question
PATCH
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidquestion_id*Question IdFormat
uuidapplication/json- body
action*ActionValue in
"defer""skip""reopen"defer_days?Defer DaysRange
1 <= value <= 90Default
7reason*ReasonLength
3 <= length <= 1000Successful Response
application/json- response
category*Categorydeferred_until*|nullfield_key*Field Keygenerated_from*Generated Fromid*IdFormat
uuidpriority*Priorityprompt*Promptquestion_key*Question Keystate*Statewhy_asked*Why Askedcurl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/discovery/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "action": "defer", "reason": "string"}'Example Response
{ "category": "string", "deferred_until": "2019-08-24T14:15:22Z", "field_key": "string", "generated_from": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": 0, "prompt": "string", "question_key": "string", "state": "string", "why_asked": "string"}